<script setup lang="ts">
import {useRealEstateStore} from "../store/RealEstateStore";
import {ref, watch} from "vue";
import {RealEstate} from "../domain/RealEstate";
import {openMapsTab} from "../utils";
import {price} from "../utils/formatters";

const props = defineProps<{id: string}>()
const store = useRealEstateStore()
const realEstate = ref<RealEstate | null>(null)
watch(() => props.id, () => {
  realEstate.value = store.getById(props.id)
}, {immediate: true})

</script>

<template>
  <v-container>
    <v-toolbar>
      <v-btn @click="$router.back()" prepend-icon="mdi-arrow-left">Zurück </v-btn>
      <v-spacer />
      <span class="mr-3 text-secondary font-weight-bold text-body-1">
      {{ realEstate.rooms }} Zimmer | {{ realEstate.sqm }} m² | {{ price(realEstate.price) }}

      </span>
    </v-toolbar>
    <template  v-if="realEstate">
      <v-carousel>
        <v-carousel-item
          v-for="image in realEstate.images"
          cover
          :src="`/images/${image}`"
          :key="image"
        ></v-carousel-item>
      </v-carousel>
      <v-btn density="compact" class="px-0 ml-3 mt-5" prepend-icon="mdi-map-marker" variant="text" @click="openMapsTab(realEstate.address)">
        {{ realEstate.address }}
      </v-btn>
      <v-card>
        <v-card-text>
          <v-row>
            <v-col>
              <p class="font-weight-bold text-subtitle-1">Preis</p>
              <p>{{ price(realEstate.price) }}</p>
            </v-col>
            <v-col>
              <p class="font-weight-bold text-subtitle-1">Quadratmeter</p>
              <p>{{ realEstate.sqm }} m²</p>
            </v-col>
            <v-col>
              <p class="font-weight-bold text-subtitle-1">Zimmmer</p>
              <p>{{ realEstate.rooms }}</p>
            </v-col>
            <v-col>
              <p class="font-weight-bold text-subtitle-1">Badezimmer</p>
              <p>{{ realEstate.bathrooms }}</p>
            </v-col>
            <v-col>
              <p class="font-weight-bold text-subtitle-1">Energieeffizienzklasse</p>
              <p>{{ realEstate.energyEfficiencyClass }}</p>
            </v-col>
          </v-row>
        </v-card-text>
      </v-card>
      <v-card class="mt-5">
        <template #title>
          <v-card-title>
            Beschreibung
          </v-card-title>
        </template>
        <v-card-text>
          {{ realEstate.description }}
        </v-card-text>
      </v-card>
      <v-card class="mt-5">
        <template #title>
          <v-card-title>
            Lagebeschreibung
          </v-card-title>
        </template>
        <v-card-text>
          {{ realEstate.locationDescription }}
        </v-card-text>
      </v-card>
    </template>
  </v-container>
</template>

<style scoped>

</style>
